## org.apache.batik.dom
Class AbstractText

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractCharacterData
                  org.apache.batik.dom.AbstractText

All Implemented Interfaces:
  java.io.Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, org.w3c.dom.CharacterData, EventTarget, org.w3c.dom.Node, org.w3c.dom.Text

Direct Known Subclasses:
  GenericCDATASection, GenericText

    public abstract class AbstractText

extends AbstractCharacterData
implements org.w3c.dom.Text

This class implements the `Text` interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.batik.dom.AbstractCharacterData
`nodeValue`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractText()`

Method Summary
`protected abstract org.w3c.dom.Text` `createTextNode(java.lang.String text)` Creates a text node of the current type.
`protected org.w3c.dom.Node` `getNextLogicallyAdjacentTextNode(org.w3c.dom.Node n)` Get the next logically adjacent text node.
`protected org.w3c.dom.Node` `getPreviousLogicallyAdjacentTextNode(org.w3c.dom.Node n)` Get the previous logically adjacent text node.
`java.lang.String` `getTextContent()` DOM: Implements `Node.getTextContent()`.
`java.lang.String` `getWholeText()` DOM: Implements `Text.getWholeText()`.
`boolean` `isElementContentWhitespace()` DOM: Implements `Text.isElementContentWhitespace()`.
`org.w3c.dom.Text` `replaceWholeText(java.lang.String s)` DOM: Implements `Text.replaceWholeText(String)`.
`org.w3c.dom.Text` `splitText(int offset)` DOM: Implements `Text.splitText(int)`.

Methods inherited from class org.apache.batik.dom.AbstractCharacterData
`appendData, checkOffsetCount, copyInto, deepCopyInto, deepExport, deleteData, export, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, substringData`

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, addEventListenerNS, appendChild, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getChildNodes, getCurrentDocument, getEventSupport, getFeature, getFirstChild, getLastChild, getLocalName, getManagerData, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasChildNodes, hasEventListenerNS, initializeEventSupport, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, newNode, normalize, removeChild, removeEventListener, removeEventListenerNS, replaceChild, setManagerData, setNodeName, setOwnerDocument, setPrefix, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Constructor Detail

### AbstractText

    public AbstractText()

Method Detail

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  DOM: Implements `Text.splitText(int)`.

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`
  Throws:
    `org.w3c.dom.DOMException`

### getPreviousLogicallyAdjacentTextNode

    protected org.w3c.dom.Node getPreviousLogicallyAdjacentTextNode(org.w3c.dom.Node n)

  Get the previous logically adjacent text node.

### getNextLogicallyAdjacentTextNode

    protected org.w3c.dom.Node getNextLogicallyAdjacentTextNode(org.w3c.dom.Node n)

  Get the next logically adjacent text node.

### getWholeText

    public java.lang.String getWholeText()

  DOM: Implements `Text.getWholeText()`.

  Specified by:
    `getWholeText` in interface `org.w3c.dom.Text`

### isElementContentWhitespace

    public boolean isElementContentWhitespace()

  DOM: Implements `Text.isElementContentWhitespace()`.

  Specified by:
    `isElementContentWhitespace` in interface `org.w3c.dom.Text`

### replaceWholeText

    public org.w3c.dom.Text replaceWholeText(java.lang.String s)
                                      throws org.w3c.dom.DOMException

  DOM: Implements `Text.replaceWholeText(String)`.

  Specified by:
    `replaceWholeText` in interface `org.w3c.dom.Text`
  Throws:
    `org.w3c.dom.DOMException`

### getTextContent

    public java.lang.String getTextContent()

  DOM: Implements `Node.getTextContent()`.

  Specified by:
    `getTextContent` in interface `org.w3c.dom.Node`
  Overrides:
    `getTextContent` in class `AbstractNode`

### createTextNode

    protected abstract org.w3c.dom.Text createTextNode(java.lang.String text)

  Creates a text node of the current type.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.